Openi DeveloperDeveloper

Start a reconciliation job; the ruleset is validated against the datasets first

POST
/v1/jobs
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

ruleset_id?string

Run one ruleset over two datasets

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
ruleset_version?integer

Defaults to the latest version

Range1 <= value <= 9007199254740991
left_dataset_id?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
right_dataset_id?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
workflow_id?string

Or run a workflow

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
workflow_version?integer

Defaults to the latest version

Range1 <= value <= 9007199254740991
inputs?

Workflow input name to dataset id

dry_run?boolean

Run everything and report stats without saving matches

lookback_days?integer

Only load records ingested in the last N days (partition pruning)

Range1 <= value <= 3660

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/jobs" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "ruleset_id": "string",  "ruleset_version": -9007199254740991,  "left_dataset_id": "string",  "right_dataset_id": "string",  "workflow_id": "string",  "workflow_version": -9007199254740991,  "dataset_ids": [    "string"  ],  "dry_run": true,  "size_class": "small",  "estimated_records": -9007199254740991,  "trigger_id": "string",  "status": "queued",  "phase": "string",  "cancel_requested": true,  "stats": {    "matched": -9007199254740991,    "possible": -9007199254740991,    "steps": [      {        "name": "string",        "left_dataset_id": "string",        "right_dataset_id": "string",        "derived_dataset_id": "string",        "left_records": -9007199254740991,        "right_records": -9007199254740991,        "matched": -9007199254740991,        "possible": -9007199254740991,        "candidates": -9007199254740991,        "evaluated": -9007199254740991,        "eval_errors": -9007199254740991,        "truncated_keys": -9007199254740991,        "passes": [          {            "name": "string",            "candidates": -9007199254740991,            "evaluated": -9007199254740991,            "matched": -9007199254740991,            "possible": -9007199254740991          }        ],        "composite": {          "groups": -9007199254740991,          "skipped_groups": -9007199254740991,          "targets": -9007199254740991,          "searches_exhausted": -9007199254740991,          "matched": {            "property1": -9007199254740991,            "property2": -9007199254740991          },          "possible": {            "property1": -9007199254740991,            "property2": -9007199254740991          },          "duration_ms": -9007199254740991        },        "partial": -9007199254740991,        "partials_extended": -9007199254740991,        "partials_completed": -9007199254740991,        "skipped_known": -9007199254740991,        "load_strategy": "string",        "load_ms": -9007199254740991,        "match_ms": -9007199254740991,        "dedupe_ms": -9007199254740991,        "persist_ms": -9007199254740991,        "persist_phases_ms": {          "property1": -9007199254740991,          "property2": -9007199254740991        }      }    ]  },  "error": "string",  "attempts": -9007199254740991,  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z"}